<div class="oj-flex">
  <div class="oj-flex-item oj-sm-12 oj-md-12">
    <oj-bind-if test="[[ $application.user.roles[0] ]]">
      <oj-toolbar id="oj-toolbar-for-oj-table--1774675823-1" chroming="full">
        <oj-button on-oj-action="[[$page.listeners.createEnvironmentBOButtonClicked]]">Create</oj-button>
        <oj-button disabled="[[ $page.variables.oj_table_1774675823_1SelectedId === '' ]]" on-oj-action="[[$page.listeners.editEnvironmentBOButtonClicked]]">Edit</oj-button>
        <oj-button disabled="[[ $page.variables.oj_table_1774675823_1SelectedId === '' ]]" on-oj-action="[[$page.listeners.environmentBODetailButtonClicked]]">Detail</oj-button>
        <oj-button disabled="[[ $page.variables.oj_table_1774675823_1SelectedId === '' ]]" on-oj-action="[[$page.listeners.deleteEnvironmentBOButtonClicked]]">Delete</oj-button>
        <oj-button on-oj-action="[[$listeners.ojButtonOjAction]]">Roles</oj-button>
      </oj-toolbar>
    </oj-bind-if>
  </div>
</div>
<div class="oj-flex">
  <oj-table scroll-policy="loadMoreOnScroll" class="oj-flex-item oj-sm-12 oj-md-12" data="[[$page.variables.environmentBOListSDP]]" columns='[{"headerText":"Id","field":"id"},{"headerText":"Application URL","sortable":"disabled","template":"multiFieldCellTemplate3"},{"headerText":"Administrator Email","field":"administratorEmail"},{"headerText":"Additional Details","field":"additionalDetails"},{"headerText":"Comments","field":"comments"},{"headerText":"Tenancy","field":"tenancyNameDesc"},{"headerText":"Compartment","field":"compartmentNameDesc"},{"headerText":"Product Name","field":"productNameDesc"}]' id="oj-table--1774675823-1" selection-mode.row="single" selection-mode.column="single" on-first-selected-row-changed="[[ $page.listeners.oj_table_1774675823_1SelectionChanged ]]">
    <template slot="multiFieldCellTemplate3">
      <a target="_blank" :href="[[ $current.row.uRL ]]">
        <oj-bind-text value="[[ $current.row.environmentName ]]"></oj-bind-text>
      </a>
    </template>
  </oj-table>
</div>
<div class="oj-flex">
  <div class="oj-flex-item oj-sm-12 oj-md-2">
    <oj-bind-text value="[[ $application.user.roles[0] ]]"></oj-bind-text>
  </div>
</div>
